import { Directive, ComponentFactoryResolver, ComponentFactory, ComponentRef } from '@angular/core';

import { ViewContainerRef } from '@angular/core';
import { LoadCalculatorComponent } from './load-calculator.component';

@Directive({
    selector: '[loadCalcDialogAnchor]'
})
export class LoadCalcDialogAnchorDirective {
    constructor(
        private viewContainer: ViewContainerRef,
        private componentFactoryResolver: ComponentFactoryResolver
    ) { }

    public createDialog(): ComponentRef<LoadCalculatorComponent> {
        this.viewContainer.clear();

        let compFactory: ComponentFactory<LoadCalculatorComponent> = this.componentFactoryResolver.resolveComponentFactory(LoadCalculatorComponent);
        let compRef: ComponentRef<LoadCalculatorComponent> = this.viewContainer.createComponent(compFactory);

        // compRef.instance.confirmResult.subscribe(() => {
        // compRef.destroy();
        // });

        return compRef;
    }
}
