import { FormDefParallelStructures } from "../form-def-parallel-structures";
import { FormDefParamToCalculate } from "../form-def-paramcalc";
import { FormComputeParallelStructures } from "../form-compute-parallel-structures";
import { FormResultFixedVar } from "../form-result-fixedvar";
import { CalculatorType, ComputeNodeType, StructureType, LoiDebit } from "jalhyd";
import { FormulaireParallelStructure } from "./form-parallel-structures";

export class FormulaireDever extends FormulaireParallelStructure {
    constructor() {
        super();
    }

    protected get defaultProperties(): {} {
        return {
            "calcType": CalculatorType.Dever, "nodeType": ComputeNodeType.None,
            "structureType": StructureType.SeuilRectangulaire, "loiDebit": LoiDebit.WeirFree
        };
    }
}
