export class ApplicationSetupService {
    private _displayPrecision: number;

    private _computePrecision: number;

    private _newtonMaxIter: number;

    constructor() {
        this.defaults();
    }

    public defaults() {
        this._displayPrecision = 0.001;
        this._computePrecision = 0.0001;
        this._newtonMaxIter = 50;
    }

    public get displayPrecision() {
        return this._displayPrecision;
    }

    public set displayPrecision(p: number) {
        this._displayPrecision = p;
    }

    public get displayDigits() {
        return -Math.log10(this._displayPrecision);
    }

    public get computePrecision() {
        return this._computePrecision;
    }

    public set computePrecision(p: number) {
        this._computePrecision = p;
    }

    public get newtonMaxIter() {
        return this._newtonMaxIter;
    }

    public set newtonMaxIter(p: number) {
        this._newtonMaxIter = p;
    }
}
